Bug 369911 - Download expire time is incorrect
Download expire time is incorrect
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Devel
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan Kearney
Amy Owens
:
Depends On:
Blocks: 253918
  Show dependency treegraph
 
Reported: 2007-11-07 12:12 EST by James Bowes
Modified: 2013-01-10 04:56 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 09:37:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2007-11-07 12:12:08 EST
ISOImage.java is using millisecond time when it should be seconds. this makes
download expiration happen well past the year 30,000.

To deal with the existing tokens out there, we should have
Sniglets::Downloads.pm check for large values and call them expired.
Comment 1 James Bowes 2007-11-07 13:34:33 EST
Alternatively, only update the java code, and regen the secret tokens in the
configs.
Comment 2 James Bowes 2007-12-05 11:44:31 EST
To test:
* navigate to a channel with downloads
  ie
https://rhn.webqa.redhat.com/rhn/software/channel/downloads/Download.do?cid=7276
* Get the url from one of the links.
* The first field after download is a number that represents UNIX time.
* Convert this to something human-readable (using for instance this:
http://www.onlineconversion.com/unix_time.htm)
* Ensure that the expire time is within a few minutes/hours (varies in qa v prod
etc), rather than thousands of years from now.

Note You need to log in before you can comment on or make changes to this bug.